package com.io.yutian.auchestshop.shop;

import com.io.yutian.auchestshop.listener.ShopListener;
import org.bukkit.inventory.ItemStack;

public class ShopInteractiveInfo {

    private ItemStack itemStack;
    private ShopLocation shopLocation;
    private Shop shop;
    private ShopAction action;
    private ShopListener.ClickType clickType;
    private long time;

    public ShopInteractiveInfo(ItemStack itemStack, ShopLocation shopLocation, Shop shop, ShopAction action, ShopListener.ClickType clickType, long time) {
        this.itemStack = itemStack;
        this.shopLocation = shopLocation;
        this.shop = shop;
        this.action = action;
        this.clickType = clickType;
        this.time = time;
    }

    public ItemStack getItemStack() {
        return itemStack;
    }

    public ShopLocation getShopLocation() {
        return shopLocation;
    }

    public Shop getShop() {
        return shop;
    }

    public ShopAction getAction() {
        return action;
    }

    public ShopListener.ClickType getClickType() {
        return clickType;
    }

    public long getTime() {
        return time;
    }
}
