package com.io.yutian.auchestshop.command.subs;

import com.io.yutian.auchestshop.shop.Shop;
import com.io.yutian.auchestshop.util.ItemStackUtil;
import com.io.yutian.aulib.command.CommandContext;
import com.io.yutian.aulib.command.ICommand;
import com.io.yutian.aulib.command.argument.Argument;
import com.io.yutian.aulib.command.argument.ArgumentTypes;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;

import java.util.ArrayList;
import java.util.List;

public class CommandTest extends ICommand {

    public CommandTest() {
        super("test");
        addArgument(Argument.argument("type", ArgumentTypes.STRING));
    }

    private static List<Shop> shops = new ArrayList<>();

    @Override
    public void executes(CommandContext commandContext) {
        CommandSender sender = commandContext.getSender();
        String type = commandContext.getArgumentsValue("type").getString();
        if (type.equalsIgnoreCase("eq")) {
            Player player = (Player) sender;
            ItemStack itemStack = player.getInventory().getItemInMainHand();
            ItemStack itemStack1 = player.getInventory().getItemInOffHand();
            sender.sendMessage("result: "+ItemStackUtil.matches(itemStack, itemStack1));
        }
    }

}
